Roamify eSIM APIs (Most Affordable)
Home
Roamify Docs
Home
Roamify Docs
  1. Refunds
  • eSIM Country
    • Get eSIM Supported Country
      GET
  • eSIM Packages
    • Get eSIM Packages
      GET
  • Orders
    • Create eSIM Order
      POST
    • Create eSIM Top-Up Order
      POST
    • Create Instant eSIM Order (no /apply needed)
      POST
    • Get all eSIM Orders
      GET
    • Get Order
      GET
  • eSIMs
    • Generate eSIM Profile
      POST
    • Get eSIM Compatible TopUp Packages
      GET
    • Get eSIM Usage
      GET
    • Get eSIM Usage Details
      GET
    • Get eSIM Events
      GET
    • Get eSIM
      GET
    • Get eSIMs
      GET
    • Get eSIM Packages History
      GET
    • Send SMS
      POST
    • Generate eSIMs Link for Sharing
      POST
  • Compatible Devices
    • Get eSIM Compatible Devices
      GET
  • Account Balance
    • Get Account Balance
      GET
  • Exchange Rates
    • Get Supported Currencies
    • Get Exchange Rate
  • Health Check
    • API Health
  • Refunds
    • Create Refund Request
      POST
    • Get Refund Request
      GET
    • Create Bulk Refund Requests
      POST
    • List Refund Requests
      GET
    • Cancel Refund Request
      PUT
  • Schemas
    • RefundIssue
    • RefundView
    • BulkRefundResponse
    • RefundErrorResponse
  1. Refunds

Get Refund Request

Development
https://api-dev.getroamify.com
Development
https://api-dev.getroamify.com
GET
https://api-dev.getroamify.com
/api/refund
Refunds
Last modified:2026-11-09 07:08:23
Maintainer:Not configured
Get a refund request by refundId, or the newest refund request of an eSIM by esimId or iccid. Provide exactly one of refundId, iccid or esimId. Status is one of PENDING, PROCESSING, REFUNDED, REJECTED or CANCELLED. Returns 400 for invalid parameters and 404 if no refund request is found.

Request

Query Params

Header Params

Responses

🟢200
application/json
Refund request
Bodyapplication/json

🟠400
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-dev.getroamify.com/api/refund?refundId=&iccid=&esimId=' \
--header 'Authorization: Bearer roamify_3fegvaRHZxZoAsB7Yg5KFs5ymSg3kBN1trn4DxRrqW1mDRoo9DueN6FSfNTuGndVGpR2iTyH4UVmZf39tVb5muWUPqBm1dh5eHiH5WkPN3wGLF8cr7MhemqekwK7rdqFizTZD9VDRq5P5RHAXzL2tCHfcrsskg2YoP8JE1fndNoiQCUSS1GBUUpmH'
Response Response Example
200 - Example 1
{
    "status": "success",
    "data": {
        "refundId": "string",
        "status": "PENDING",
        "productType": "esim",
        "item": {
            "esimId": "string",
            "iccid": "string",
            "orderId": "string",
            "referenceId": "string",
            "countryName": "Japan",
            "optionName": "5GB - 30 days"
        },
        "reason": "UNABLE_TO_INSTALL",
        "notes": "string",
        "amount": 0,
        "currency": "string",
        "balanceCreditUsd": 0,
        "transaction": {
            "id": "string",
            "paymentMethod": "string",
            "paymentStatus": "string",
            "refundedAt": 0
        },
        "rejectionReason": "string",
        "rejectionNote": "string",
        "createdAt": 0,
        "updatedAt": 0,
        "processedAt": 0,
        "cancelledAt": 0,
        "history": [
            {
                "status": "PENDING",
                "at": 0
            }
        ]
    }
}
Modified at 2026-11-09 07:08:23
Previous
Create Refund Request
Next
Create Bulk Refund Requests
Built with